Subject: RE: [SIP] Distributing call state : draft-dcsgroup-sip-state-01.t xt

From: [email-masked]
Date: Tue, 27 Jun 2000 13:24:00 -0500

Lars,

Thanks for your comments.

> 1. The extension does not define an option-tag to be used 
> with the Require
> and Supported header fields. How would a proxy know that the 
> UAC or UAS
> support the 'state' extension?
> 

I agree that we need a Requires: header so the proxy can depend on the
UAC/UAS storing the state headers and returning them. Perhaps Requires:
State (or any other name besides "dcs" which is being proposed for proxy to
proxy signaling extensions) would work. I will update the draft to include a
discussion on Requires and Supports with an option-tag.

> 2. Section 4.2 mentions that the state header is included in 
> subsequent
> INVITEs. What about BYE requests? I think it could be useful 
> to include it
> in BYEs also, since BYEs certainly affects call state.
> 

As currently used in DCS, the state header includes information that is
relevant to proxies only in subsequent INVITE's that go through proxies
(i.e. INVITE's that affect mid call "resource" or "authorization" changes).
As you correctly point out, in a general model if the state information sent
by the proxy to the client is required by the proxy at call termination, and
if the BYE goes through proxies, the state header can be sent back in a BYE.
The updated draft will include some discussion on the general case. 

Thanks..
Poornima Lalwaney

> On Fri, 23 Jun 2000 [email-masked] wrote:
> > 
> > The draft  draft-dcsgroup-sip-state-01.txt was presented in 
> Adelaide.  In
> > brief, the draft  discusses the "State" header extension 
> that may be used to
> > transfer call state from the proxy to the UAC. The proxy can then be
> > stateless for the duration of the call.  The state is stored at the
> > UAC/endpoint for the duration of the call and passed back 
> to the proxy if
> > mid-call changes are required. The draft also includes 
> rules at endpoints
> > and proxies on inclusion and processing of  State headers. 
> Comments and
> > suggestions on the State header extension as presented in 
> draft-01 are
> > welcome. (this is available at
> > 
> http://search.ietf.org/internet-drafts/draft-dcsgroup-sip-stat
e-01.txt  ). 
> 
> I am in the process of updating the draft and submitting it as
> draft-dcsgroup-sip-state-02.txt before the Pittsburgh IETF. The dcsgroup
has
> cleared the RFC2026 issues and the updated draft will reflect that and
> comments received on this list on the proposed State header extension and
> associated rules. 
> 
> 
> Thanks and regards,
> Poornima Lalwaney
> 
> 
> 
> ------------------------------------------------
> Poornima Lalwaney
> Nokia
> [email-masked]
> Tel: +1 858-831-4727
> -----------------------------------------------
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

Lars Berggren       <mailto:[email-masked]>
Intertex Data AB    tel: +46-8-6282828
Sundbyberg, Sweden  fax: +46-8-6286414

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip